PUT /accounts/profile
사용자 프로필 정보를 수정합니다.요청 본문
string
새 이름(1~50자)입니다.
string
새 성(1~50자)입니다.
string
새 회사명입니다(최대 100자).
응답
boolean
수정 성공 여부입니다.
string
상태 메시지입니다.
object
수정된 계정 정보입니다.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X PUT https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"company": "New Company Inc"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: 'Jane',
company: 'New Company Inc'
})
}
);
{
"success": true,
"message": "Profile updated successfully",
"account": {
"id": "user_abc123def456",
"firstName": "Jane",
"lastName": "Doe",
"company": "New Company Inc",
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "Validation error: First name must be at least 1 character"
}
인증된 사용자의 프로필을 수정하는 엔드포인트입니다.
curl -X PUT https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"company": "New Company Inc"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: 'Jane',
company: 'New Company Inc'
})
}
);
{
"success": true,
"message": "Profile updated successfully",
"account": {
"id": "user_abc123def456",
"firstName": "Jane",
"lastName": "Doe",
"company": "New Company Inc",
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "Validation error: First name must be at least 1 character"
}
이 페이지가 도움이 되었나요?